VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   2175
   ClientLeft      =   2520
   ClientTop       =   2580
   ClientWidth     =   2460
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   2175
   ScaleWidth      =   2460
   Begin VB.CommandButton CmdNormalCursor 
      Caption         =   "Normal Cursor"
      Enabled         =   0   'False
      Height          =   495
      Left            =   480
      TabIndex        =   1
      Top             =   1080
      Width           =   1455
   End
   Begin VB.CommandButton CmdAnimateCursor 
      Caption         =   "Animate Cursor"
      Height          =   495
      Left            =   480
      TabIndex        =   0
      Top             =   360
      Width           =   1455
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function CopyCursor Lib "user32" Alias "CopyIcon" (ByVal hcur As Long) As Long
Private Declare Function LoadCursorFromFile Lib "user32" Alias "LoadCursorFromFileA" (ByVal lpFileName As String) As Long
Private Declare Function GetCursor Lib "user32" () As Long
Private Declare Function SetSystemCursor Lib "user32" (ByVal hcur As Long, ByVal id As Long) As Long

Private Const OCR_NORMAL = 32512

Dim new_cursor As Long
Dim old_cursor As Long

Private Sub CmdAnimateCursor_Click()
    Dim filename As String
    filename = App.Path + "\glas.ani"
    new_cursor = LoadCursorFromFile(filename)
    old_cursor = GetCursor()
    old_cursor = CopyCursor(old_cursor)
    SetSystemCursor new_cursor, OCR_NORMAL

    CmdAnimateCursor.Enabled = False
    CmdNormalCursor.Enabled = True
End Sub

Private Sub CmdNormalCursor_Click()
    SetSystemCursor old_cursor, OCR_NORMAL

    CmdAnimateCursor.Enabled = True
    CmdNormalCursor.Enabled = False

    old_cursor = 0
End Sub

Private Sub Form_Unload(Cancel As Integer)
    If old_cursor <> 0 Then SetSystemCursor old_cursor, OCR_NORMAL
End Sub
